# SIG Governance Template

## Goals

The following documents outline recommendations and requirements for SIG governance structure and provide
template documents for SIGs to adapt.  The goals are to define the baseline needs for SIGs to self govern
and organize in a way that addresses the needs of the core Kubernetes project.

The documents are focused on:

- Outlining organizational responsibilities
- Outlining organizational roles
- Outlining processes and tools

Specific attention has been given to:

- The role of technical leadership
- The role of operational leadership
- Process for agreeing upon technical decisions
- Process for ensuring technical assets remain healthy

## How to use the templates

When developing or modifying a SIG governance doc, the intention is for SIGs to use the templates (*under development*)
as a common set of options SIGs may choose to incorporate into their own governance structure.  It is recommended that
SIGs start by looking at the [Recommendations and requirements] for SIG governance docs and consider what structure
they think will work best for them before pulling items from the templates.

The expectation is that SIGs will pull and adapt the options in the templates to best meet the needs of the both the SIG
and project.

- [Recommendations and requirements]

## Templates

- [Short Template]

## FAQ

See [frequently asked questions]

[Recommendations and requirements]: sig-governance-requirements.md
[Short Template]: sig-governance-template-short.md
[frequently asked questions]: FAQ.md
