## Kubernetes Youtube Channel Collaboration 


### Meeting Playlists


The [Kubernetes Youtube Channel](https://www.youtube.com/channel/UCZ2bu0qutTOM0tHYa_jkIwg) has separate playlists for each SIG’s meeting recordings, as well as recordings of other meetings (i.e. Cloud Native, Kubernetes Community meetings). 

To better serve the community, we have set up [collaboration](https://support.google.com/youtube/answer/6109639) on these playlists, so that anyone with the appropriate link to the particular playlist can upload videos *to that particular playlist* (links & playlists are 1:1).

Each SIG playlist’s link will be shared with the SIG’s leadership, and other playlists' links (i.e. Cloud Native) will be shared with the appropriate point(s) of contact. The SIG playlist links will be sent to the official SIG lead Google Groups. 

### Uploading Guidelines for Collaborators

Collaboration should simplify things for everyone, but with privilege comes responsibility :). We assume all playlist collaborators in the community will use things fairly and appropriately, subject to the guidelines below:

1. Once collaboration is setup for each meeting recording playlist, the upload responsibility will fall on the SIG leaders or other appropriate point(s) of contact.  Community managers *will only be escalation for issues with those playlists*

2. Please post only related content (mostly meeting recordings) in the appropriate playlists 
	- Posting of any exceedingly inappropriate content (i.e. NSFW content) will result in ***immediate*** suspension of privileges 

3. Please ensure all videos have the same naming format, which is:
	- Kubernetes [Name of Playlist’s Group] YYYYMMDD
		- i.e. Kubernetes SIG Service Catalog 20161129

4. All playlists need to be organized chronologically for ease of use, which is most easily done by selected “date added, newest” as the “Ordering” option in the playlist settings

5. Please do not remove any already-published content from the playlists without checking with the community managers 

6. For any small issues that arise (i.e. improper naming / ordering), you may be asked by the community managers to attempt to resolve the issue yourselves
 
7. Any egregious or habitual violation* of the above rules will result in suspension of collaboration privileges for the particular individual, or for the entire playlist if the individual can’t be identified
	- If an individual is suspended, the playlist link will be remade and the new link will be shared with the non-offending individuals 
	- If *playlist* collaboration is suspended, uploading by community managers to the playlist of interest will ***not*** be a priority, and will likely occur on a delayed basis
	- *Note that "habitual violation" means "more than 3 issues per quarter"

### Permissions for G Suite Accounts

- If you're using a G Suite account you might need to loosen the permissions in your YouTube settings. See [this help article](https://support.google.com/a/answer/6212415) for more information. 

Your community managers are happy to help with any questions that you may have and will do their best to help if anything goes wrong. Please get in touch via [SIG Contributor Experience](https://git.kubernetes.io/community/sig-contributor-experience).

 
