# Community Building & Ladder Session

_Original Title: “Building community effectiveness (Contributor ladder, Code of Conduct & Committee)”_

* Session Area: Community
* Topic Facilitator(s): Sarah Novotny
* Note-taker(s) (Collaborating on this doc): 
  * Rob Hirschfeld @zehicle
  * Jess Frazzelle 
* Person responsible for converting to Markdown & uploading to Github: Rob Hirschfeld @zehicle

## Session Notes

Classes of Communities being discussed:
* Developer / User - using the API
* Developer / Operator - running the Infrastructure / DevOps
* Developer / Contributor - writing the Kubernetes code, docs, any sort of non-technical contribution

Topics/Conversation Thread:

* Luke: How to get more people writing code in a sig, encourage new contributors to start contributing
  * How sig leads can do a better job of encouraging contributors
  * Defining contributions outside of code, people who plan face to faces, things that help build the community but are not necessarily limited to code
* Bob: contrib was declared dead, but if you are doing dev work in the community it is not clear where to put ideas out there for feedback
  * Incubation bar is super high
  * Things bigger than features, tools, etc
* Michael: talking about getting people involved without creating schedule risk
  * There is a spreadsheet that people are using to track priorities of tasks
  * Need to watch Shepherding bandwidth
* Sarah suggested that we need to make sure that reviewers are tagged as mentors also
  * Helps people know who to ask for help, so they don’t stall
* Kris: it helps to get people to self-identify people’s interests in contributing
* Michael: use SIG meetings for status and encourage people to connect outside of meetings
* Jess: Suggested making sure to bring people in with an open item
  * It helps to make introductions at the start of the meeting
* Kris - Bob: Office hours?  Alternate weeks for the SIG
* Michael: Make sure to create a safe space - admit mistakes to be more inclusive
* Luke: there are a lot of people who are listening but not taking on work

_Group discussed ways to get people to move into activity contributors_

* Sarah: hiring Community Manager role - first job will be to create a mentor pairing program
* Michael: challenge is that companies want their people to be counted as contributors.
  * Discussion: this results in gamification and people not being able to participate
  * There’s some organization learning
  * We need to be aware of the conflicts
* Rob brought up that there are people entering the community who are not doing things that capture work that’s passive or just using
  * Bob described a similar issue w/ Scale where the value is creating data and running tests
* Contributor ladder needs to include people who are using / operating without making code or docs contributions.  We want to capture their experience and welcome
* Jess - could even use twitter activity and collect survey results
* Rob - it can be a very good thing to have a large passive audience
  * Sarah - as long as there is enough people doing contribution
  * Rob suggested that we may want user/operator SIGs that act as onboarding and then direct people to more specific SIGs

## Conclusions
Key Takeaways / Analysis of Situation

* SIGs have a lot of passive participants.  - **This may be OK**
* We discussed ways to get passive users more engaged including 
  * introductions at start of meetings
  * mentor pairings for new 
  * asking them about area of interest
  * Pairing people for out-of-meeting 1x1 based on time zones
  * Keep SIG meeting as status and drive out-of-meeting action
* There is a problem when companies reward people only on contributions of specific types or projects

## Recommendations & Decisions Moving Forward (High-Level)

* Create a User SIG for onboarding new users and directing them into other SIGs.  This would effectively be an ongoing 101
* Restart Cluster Ops SIG storytelling for operators and write them down
* SIGs to use off-weeks for office hours

## Specific Action Items (& Owners)

None Taken
