# 2017 VOTERS GUIDE - KUBERNETES STEERING COMMITTEE ELECTION

This election has been completed.

[Results](RESULTS.md)

# PURPOSE
The initial role of the steering committee is to instantiate the formal governance process for Kubernetes. In addition to defining the initial governance process, the [bootstrap committee](https://groups.google.com/forum/#!msg/kubernetes-dev/4e8WOnMvZC0/57GYmJKfDAAJ) strongly believes that it is important to provide a means for iterating the processes defined by the steering committee. We do not believe that we will get it right the first time, or possibly ever, and won’t even complete the governance development in a single shot. The role of the steering committee is to be a living, responsive body that can refactor and reform as necessary to adapt to a changing project and community.

# VOTING
This election will  shape the future of Kubernetes as a project and community. You will be voting on six (6) seats up for election, three with a two year term and three with an initial one year term. The motivation for these different terms is to set up an initial stagger so that the entire committee isn’t replaced every election cycle. After this first election, every elected community member will serve a two year term.

The candidates you are voting on will be meeting regularly to strategically grow the project with contributors in mind. Most of the technical decisions, architecture planning, and the like come out of SIGs and other working groups. Some examples of responsibilities to consider as you are voting:  
*  Define, evolve, and defend the vision, values, mission, and scope of the project - to establish and maintain the soul of Kubernetes
*  Charter and refine policy for defining new community groups (including Special Interest Groups, Working Groups, and Committees), and establish transparency and accountability policies for such groups.  
*  Define, evolve, and defend a Code of Conduct, which must include a neutral, unbiased process for resolving conflict 

Full scope of responsibilities, goals, and/or future election timelines, see [steering committee charter](https://github.com/kubernetes/steering/blob/master/charter.md). 

For more context, please see the [current issues](https://github.com/kubernetes/steering/blob/master/backlog.md) that need to be resolved or a previous governance [meeting video](https://www.youtube.com/watch?v=ltRKXLl0RaE&list=PL69nYSiGNLP1pkHsbPjzAewvMgGUpkCnJ&index=23) which lead to this whole process.

## PROCESS
Elections will be held using time-limited [Condorcet](https://en.wikipedia.org/wiki/Condorcet_method) ranking on [CIVS](http://civs.cs.cornell.edu/) using the [Schulze method](https://en.wikipedia.org/wiki/Schulze_method). The top vote getters, modulo the corporate diversity requirement of no more than 1/3 of the committee from a single company, will be elected to the respective positions, with the top 3 filling the 2 year term seats, and the next 3 filling the 1 year term seats. 

You will be ranking your choices 1-20 with an option for no opinion. In the event of a tie, a coin will be flipped. 

The election will open for voting on September 19, 2017 at 09:00am PDT and end two weeks after on October 3, 2017 at 06:00pm PDT. You will receive an email to the address on file at the start of the election from Jorge Castro (jorge@heptio), Community Manager, please whitelist if necessary. Detailed voting instructions will be addressed in email and the CIVS polling page. 

## ELIGIBILITY 
Members of Standing are defined by the union of:
* SIG leads
* Approvers and reviewers in any Kubernetes owned repositories
* Anyone with write access to a Kubernetes owned repository
* Active members of our community
If you believe you are a Member of Standing, please fill out [this form](https://docs.google.com/forms/d/e/1FAIpQLSeoeNSl9ufZ_jpp7OHgvtWm-GRFV6WUwTIqZ9W25eMd3xyyvg/viewform) <strong><em>before</strong></em> September 13, 2017.

## DECISION
The newly elected body will be announced in the weekly Kubernetes Community Meeting on October 5, 2017 at 10:00am US Pacific Time. [Please join us](https://groups.google.com/forum/#!forum/kubernetes-community-video-chat).

Following the meeting, the raw voting results and winners will be published on the [Kubernetes Blog](http://blog.kubernetes.io/).

For more information, definitions, and/or detailed election process, see full [steering committee charter](https://github.com/kubernetes/steering/blob/master/charter.md).

# NOMINEES
Don’t know someone on this list? We asked the nominees to provide a <300 word bio about their k8s experience that we'll link to their name in this table.

Name | Organization/Company | GitHub 
--- | --- | --- 
[Aaron Crickenberger](aaroncrickenberger_bio.md)	| Samsung SDS |	[@spiffxp](https://github.com/spiffxp)
[Aaron Schlesinger](aaronschlesinger_bio.md) |	Microsoft |	[@arschles](https://github.com/arschles)
[Adnan Abdulhussein](adnanabdulhussein_bio.md) |	Bitnami |	[@prydonius](https://github.com/prydonius)
[Alex Pollitt](alexpollitt_bio.md) |	Tigera	| [@lxpollitt](https://github.com/lxpollitt)
[Caleb Miles](calebamiles_bio.md) | CoreOS |	[@calebamiles](https://github.com/calebamiles)
[Derek Carr](derekcarr_bio.md) |	Red Hat |	[@derekwaynecarr](https://github.com/derekwaynecarr)
[Doug Davis](dougdavis_bio.md) |	IBM	| [@duglin](https://github.com/duglin)
[Ihor Dvoretskyi](idvoretskyi_bio.md) |	CNCF |	[@idvoretskyi](https://github.com/idvoretskyi)
[Ilya Dmitrichenko](errordeveloper_bio.md) |	Weave |	[@errordeveloper](https://github.com/errordeveloper)
[Jaice Singer DuMars](jaicesingerdumars_bio.md) |	Microsoft	| [@jdumars](https://github.com/jdumars)
[Justin Santa Barbara](vote_for_justinsb.md)	|	Independent | [@justinsb](https://github.com/justinsb)
[Kris Nova](kris-nova_bio.md) |	Microsoft	| [@kris-nova](https://github.com/kris-nova)
[Matt Farina](mattfarina_bio.md) |	Samsung SDS	 | [@mattfarina](https://github.com/mattfarina)
[Michael Rubin](michaelrubin_bio.md) | Google |	[@matchstick](https://github.com/matchstick)
[Michelle Noorali](michellenoorali_bio.md) |	Microsoft |	[@michelleN](https://github.com/michelleN)
[Phillip Wittrock](pwittrock_bio.md) |	Google | 	[@pwittrock](https://github.com/pwittrock)
[Quinton Hoole](quintonhoole_bio.md)	 | Huawei |	[@quinton-hoole](https://github.com/quinton-hoole)
[Rob Hirschfeld](rhirschfeld_bio.md) |	RackN	| [@zehicle](https://github.com/zehicle)
[Sebastien Goasguen](sebastiengoasguen_bio.md) |	Bitnami |	[@sebgoa](http://github.com/sebgoa)
[Timothy St. Clair](timothysc_bio.md) |	Heptio |	[@timothysc](https://github.com/timothysc)


<strong>Note:</strong>The bootstrap committee members have
recused themselves from any form of electioneering, including
campaigning, nominating, endorsing, or even asking people to run.

Please direct any questions via email to <kubernetes-governance-committee@googlegroups.com><br>
[K8s Slack](http://slack.k8s.io/)

