<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
-->
# API Machinery SIG

Covers all aspects of API server, API registration and discovery, generic API CRUD semantics, admission control, encoding/decoding, conversion, defaulting, persistence layer (etcd), OpenAPI, CustomResourceDefinition, garbage collection, and client libraries.

## Meetings
* Regular SIG Meeting: [Wednesdays at 11:00 PT (Pacific Time)](https://zoom.us/my/apimachinery) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=11:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://goo.gl/0lbiM9).
  * [Meeting recordings](https://www.youtube.com/watch?v=Lj1ScbXpnpY&list=PL69nYSiGNLP21oW3hbLyjjj4XhrwKxH2R).

## Leads
* Daniel Smith (**[@lavalamp](https://github.com/lavalamp)**), Google
* David Eads (**[@deads2k](https://github.com/deads2k)**), Red Hat

## Contact
* [Slack](https://kubernetes.slack.com/messages/sig-api-machinery)
* [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-api-machinery)
* [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fapi-machinery)

## Subprojects

The following subprojects are owned by sig-api-machinery:
- **server-binaries**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/cmd/kube-apiserver/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/cmd/kube-controller-manager/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/cmd/cloud-controller-manager/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/cmd/controller-manager/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/kubeapiserver/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/master/OWNERS
- **control-plane-features**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/controller/garbagecollector/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/controller/namespace/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/quota/OWNERS
- **universal-machinery**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/apimachinery/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/staging/src/k8s.io/apimachinery/master/OWNERS
- **server-frameworks**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/apiserver/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/staging/src/k8s.io/apiserver/master/OWNERS
- **server-crd**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/apiextensions-apiserver/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/staging/src/k8s.io/apiextensions-apiserver/master/OWNERS
- **server-api-aggregation**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/kube-aggregator/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/staging/src/k8s.io/kube-aggregator/master/OWNERS
- **server-sdk**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/sample-apiserver/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/staging/src/k8s.io/sample-apiserver/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/sample-controller/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/staging/src/k8s.io/sample-controller/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-incubator/apiserver-builder/master/OWNERS
- **idl-schema-client-pipeline**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/gengo/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/code-generator/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/staging/src/k8s.io/code-generator/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kube-openapi/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/api/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/staging/src/k8s.io/api/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/gen/master/OWNERS
- **kubernetes-clients**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes-client/community/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/csharp/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/go-base/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/go/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/haskell/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/java/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/javascript/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/python-base/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/ruby/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-client/typescript/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes-incubator/client-python/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/client-go/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/staging/src/k8s.io/client-go/master/OWNERS
- **universal-utils**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/utils/master/OWNERS

## GitHub Teams

The below teams can be mentioned on issues and PRs in order to get attention from the right people.
Note that the links to display team membership will only work if you are a member of the org.

The google groups contain the archive of Github team notifications.
Mentioning a team on Github will CC its group.
Monitor these for Github activity if you are not a member of the team.

| Team Name | Details | Google Groups | Description |
| --------- |:-------:|:-------------:|  ----------- |
| @kubernetes/sig-api-machinery-api-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-api-machinery-api-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-api-machinery-api-reviews) | API Changes and Reviews |
| @kubernetes/sig-api-machinery-bugs | [link](https://github.com/orgs/kubernetes/teams/sig-api-machinery-bugs) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-api-machinery-bugs) | Bug Triage and Troubleshooting |
| @kubernetes/sig-api-machinery-feature-requests | [link](https://github.com/orgs/kubernetes/teams/sig-api-machinery-feature-requests) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-api-machinery-feature-requests) | Feature Requests |
| @kubernetes/sig-api-machinery-misc | [link](https://github.com/orgs/kubernetes/teams/sig-api-machinery-misc) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-api-machinery-misc) | General Discussion |
| @kubernetes/sig-api-machinery-pr-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-api-machinery-pr-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-api-machinery-pr-reviews) | PR Reviews |
| @kubernetes/sig-api-machinery-proposals | [link](https://github.com/orgs/kubernetes/teams/sig-api-machinery-proposals) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-api-machinery-proposals) | Design Proposals |
| @kubernetes/sig-api-machinery-test-failures | [link](https://github.com/orgs/kubernetes/teams/sig-api-machinery-test-failures) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-api-machinery-test-failures) | Test Failures and Triage |

<!-- BEGIN CUSTOM CONTENT -->
## Additional links

* [YouTube Playlist](https://www.youtube.com/playlist?list=PL69nYSiGNLP21oW3hbLyjjj4XhrwKxH2R) - find meeting recordings here

<!-- END CUSTOM CONTENT -->
