# Backlog

## Processes

* KEP process rollout and iteration
* New repo process
* [API review process](https://github.com/kubernetes/community/pull/419/files)
* Conformance test suite change review process
* Escalation process
* [Branching policy](https://github.com/kubernetes/community/issues/566)

## SIG-related

* Improve charter to meet expectations of Steering Committee
* Clarify criteria for areas out of scope for the SIG
* Formalize decision processes
* Identify subprojects/subefforts
* Determine initial reviewers and approvers
* How are SIG leads chosen

## Documentation

* Update What Is Kubernetes on the web site
* [Architectural diagram](https://github.com/kubernetes/community/issues/767)
* Document who owns client library, build, and release artifacts
* Document who owns conformance definition, profiles, etc.
* Document [design decisions](https://docs.google.com/document/d/1D_OlIZRSieMNPQaq2PNrh5Ax7EwXNjmGfKIWiofJ6jY/edit#)
* Overall extension strategy

## Major technical issues and conventions

* [Multi-repo plan and roadmap](https://github.com/kubernetes/kubernetes/issues/24343)
* ["v2 API" plan](https://github.com/kubernetes/kubernetes/issues/8190)
* [Architectural layers](https://github.com/kubernetes/community/issues/952)
