<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
-->
# Multicluster SIG

A Special Interest Group focussed on solving common challenges related to the management of multiple Kubernetes clusters, and applications that exist therein. The SIG will be responsible for designing, discussing, implementing and maintaining API’s, tools and documentation related to multi-cluster administration and application management. This includes not only active automated approaches such as Cluster Federation, but also those that employ batch workflow-style continuous deployment systems like Spinnaker and others.  Standalone building blocks for these and other similar systems (for example a cluster registry), and proposed changes to kubernetes core where appropriate will also be in scope.

## Meetings
* Regular SIG Meeting: [Tuesdays at 9:30 PT (Pacific Time)](https://zoom.us/my/k8s.mc) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=9:30&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/18mk62nOXE_MCSSnb4yJD_8UadtzJrYyJxFwbrgabHe8/edit).
  * [Meeting recordings](https://www.youtube.com/watch?v=iWKC3FsNHWg&list=PL69nYSiGNLP0HqgyqTby6HlDEz7i1mb0-).
* Federation v2 Working Group: [Wednesdays at 9:30 PT (Pacific Time)](https://zoom.us/my/k8s.mc) (weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=9:30&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1v-Kb1pUs3ww_x0MiKtgcyTXCAuZlbVlz4_A9wS3_HXY/edit).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP3iKP5EzMbtNT2zOZv6RCrX).

## Leads
* Christian Bell (**[@csbell](https://github.com/csbell)**), Google
* Quinton Hoole (**[@quinton-hoole](https://github.com/quinton-hoole)**), Huawei

## Contact
* [Slack](https://kubernetes.slack.com/messages/sig-multicluster)
* [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-multicluster)
* [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fmulticluster)

## GitHub Teams

The below teams can be mentioned on issues and PRs in order to get attention from the right people.
Note that the links to display team membership will only work if you are a member of the org.

The google groups contain the archive of Github team notifications.
Mentioning a team on Github will CC its group.
Monitor these for Github activity if you are not a member of the team.

| Team Name | Details | Google Groups | Description |
| --------- |:-------:|:-------------:|  ----------- |
| @kubernetes/sig-multicluster-api-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-multicluster-api-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-multicluster-api-reviews) | API Changes and Reviews |
| @kubernetes/sig-multicluster-bugs | [link](https://github.com/orgs/kubernetes/teams/sig-multicluster-bugs) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-multicluster-bugs) | Bug Triage and Troubleshooting |
| @kubernetes/sig-multicluster-feature-requests | [link](https://github.com/orgs/kubernetes/teams/sig-multicluster-feature-requests) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-multicluster-feature-requests) | Feature Requests |
| @kubernetes/sig-multicluster-misc | [link](https://github.com/orgs/kubernetes/teams/sig-multicluster-misc) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-multicluster-misc) | General Discussion |
| @kubernetes/sig-multicluster-pr-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-multicluster-pr-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-multicluster-pr-reviews) | PR Reviews |
| @kubernetes/sig-multicluster-test-failures | [link](https://github.com/orgs/kubernetes/teams/sig-multicluster-test-failures) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-multicluster-test-failures) | Test Failures and Triage |
| @kubernetes/sig-mutlicluster-proposals | [link](https://github.com/orgs/kubernetes/teams/sig-mutlicluster-proposals) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-mutlicluster-proposals) | Design Proposals |

<!-- BEGIN CUSTOM CONTENT -->
## Subprojects

### Federation v2
Control Plane for newer Multicluster-specific APIs. Discussions are ongoing to focus future development on multi-cluster specific Kubernetes APIs rather than a reimplementation of single-cluster Kubernetes APIs.

|  |  |
| -------------- |:-------|
| Recommended for Production | No code yet (discussions only). |
| General Availability | No. Prototypes only at this point. |
| Current Level of Activity | Once to twice weekly discussions as part of Federation working group (most active SIG-Multicluster members). |
| Owner(s) | Working Group |
| Where to find it? | Code prototypes in development (one [example here](https://github.com/marun/fnord)). Summary of meetings notes and meeting times [available](https://docs.google.com/document/d/1v-Kb1pUs3ww_x0MiKtgcyTXCAuZlbVlz4_A9wS3_HXY). |

### Cluster Registry
Common abstraction for a Registry of Clusters that can store per-Cluster metadata and supports Kubernetes label selection. The Cluster Registry can be deployed as a standalone or an aggregated API server and currently provides a Registry of Clusters without any actively reconciling Kubernetes controller. The API design is documented [here](https://github.com/kubernetes/community/blob/master/contributors/design-proposals/multicluster/cluster-registry/api-design.md) and is intended to serve as a basis to develop multicluster controllers.

|  |  |
| -------------- |:-------|
| Recommended for Production | Not yet. |
| General Availability | Beta by 2018-Q1, GA by 2018-Q2 (see Project plan for details). |
| Current Level of Activity | Alpha, active development for Beta and GA milestones. |
| Owner(s) | [@perotinus](https://github.com/perotinus), [@font](https://github.com/font) |
| Where to find it? | https://github.com/kubernetes/cluster-registry |

### Kubemci (Kube Multi-cluster Ingress)
Ability to program Global multicluster load balancers with two deliverables:
* Standalone CLI tool without a centralized control plane. Allows ingress configurations that span multiple clusters. It needs to be invoked whenever there is a change in the number of clusters (healthchecking is still maintained in the background). Much of this work will be folded back into the next deliverable.
* Kubernetes style multicluster API and self-healing controller with cluster registry

|  |  |
| -------------- |:-------|
| Recommended for Production | Not yet. |
| General Availability | CLI: Beta by 2018-Q1, Controller: Alpha by 2018-Q1 |
| Current Level of Activity? | CLI is alpha and team is looking for feedback. Active development is on to bring it to beta. |
| Owner(s) | [@nikhiljindal](https://github.com/nikhiljindal), [@G-Harmon](https://github.com/G-Harmon) |
| Where to find it? | https://github.com/GoogleCloudPlatform/k8s-multicluster-ingress |

### Federation v1 (a.k.a. Cluster Federation)
Control Plane that coordinates configuration across multiple clusters by presenting a subset of the existing single-cluster Kubernetes APIs. Initially released as part of Kubernetes 1.3, Cluster Federation has implemented parts of the existing “single-cluster” Kubernetes API so that they may be used transparently in a multi-cluster fashion. As of Kubernetes 1.9, many of the non-Federated Kubernetes Workloads APIs have moved to GA (Deployments, ReplicaSets, Daemonset, StatefulSet). However, under Federation, these workloads have not reached the maturity of “GA” since they are re-implemented by different federated controllers. The SIG is currently re-thinking how to support Kubernetes APIs in a Federation fashion and this discussion is reflected under Federation v2.

|  |  |
| -------------- |:-------|
| Recommended for Production | No. Between Alpha and Beta levels of functionality depending on Kubernetes APIs used. |
| General Availability | No target set date. |
| Current Level of Activity | On Hold. See Federation v2. |
| Owner(s) | [@shashidharatd](https://github.com/shashidharatd) |
| Where to find it? | Out of main Kubernetes repository as of 1.9 and into its own [kubernetes/federation](https://github.com/kubernetes/federation) repository (kubefed is no longer distributed as part of Kubernetes client tools). Users have to build their own Federation Control Plane and kubefed client tool or wait on [issue #192](https://github.com/kubernetes/federation/issues/192) to be resolved. |
<!-- END CUSTOM CONTENT -->
