<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
-->
# Network SIG

Covers networking in Kubernetes.

## Meetings
* Regular SIG Meeting: [Thursdays at 14:00 PT (Pacific Time)](https://zoom.us/j/5806599998) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=14:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1_w77-zG_Xj0zYvEMfQZTQ-wPP4kXkpGD8smVtW_qqWM/edit).
  * [Meeting recordings](https://www.youtube.com/watch?v=phCA5-vWkVM&list=PL69nYSiGNLP2E8vmnqo5MwPOY25sDWIxb).

## Leads
* Tim Hockin (**[@thockin](https://github.com/thockin)**), Google
* Dan Williams (**[@dcbw](https://github.com/dcbw)**), Red Hat
* Casey Davenport (**[@caseydavenport](https://github.com/caseydavenport)**), Tigera

## Contact
* [Slack](https://kubernetes.slack.com/messages/sig-network)
* [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-network)
* [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fnetwork)

## Subprojects

The following subprojects are owned by sig-network:
- **services**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/proxy/OWNERS
    - https://raw.githubusercontent.com/kubernetes/pkg/kubernetes/master/controller/endpoint/OWNERS
    - https://raw.githubusercontent.com/kubernetes/pkg/kubernetes/master/controller/service/OWNERS
- **kube-dns**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/dns/master/OWNERS
- **external-dns**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes-incubator/external-dns/master/OWNERS
- **ingress**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/ingress-gce/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/ingress-nginx/master/OWNERS
- **pod-networking**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes-incubator/ip-masq-agent/master/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/kubelet/network/OWNERS
- **network-policy**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/api/master/networking/OWNERS

## GitHub Teams

The below teams can be mentioned on issues and PRs in order to get attention from the right people.
Note that the links to display team membership will only work if you are a member of the org.

The google groups contain the archive of Github team notifications.
Mentioning a team on Github will CC its group.
Monitor these for Github activity if you are not a member of the team.

| Team Name | Details | Google Groups | Description |
| --------- |:-------:|:-------------:|  ----------- |
| @kubernetes/sig-network-api-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-network-api-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-network-api-reviews) | API Changes and Reviews |
| @kubernetes/sig-network-bugs | [link](https://github.com/orgs/kubernetes/teams/sig-network-bugs) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-network-bugs) | Bug Triage and Troubleshooting |
| @kubernetes/sig-network-feature-requests | [link](https://github.com/orgs/kubernetes/teams/sig-network-feature-requests) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-network-feature-requests) | Feature Requests |
| @kubernetes/sig-network-misc | [link](https://github.com/orgs/kubernetes/teams/sig-network-misc) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-network-misc) | General Discussion |
| @kubernetes/sig-network-pr-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-network-pr-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-network-pr-reviews) | PR Reviews |
| @kubernetes/sig-network-proposals | [link](https://github.com/orgs/kubernetes/teams/sig-network-proposals) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-network-proposals) | Design Proposals |
| @kubernetes/sig-network-test-failures | [link](https://github.com/orgs/kubernetes/teams/sig-network-test-failures) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-network-test-failures) | Test Failures and Triage |

<!-- BEGIN CUSTOM CONTENT -->
## Areas of Responsibility

SIG Network is responsible for the following Kubernetes subsystems:

- DNS
- Ingress
- Network plugins / CNI
- Network Policy
- Services / kube-proxy

SIG Network is responsible for a number of issues and PRs. A summary can be found through GitHub search:

* [SIG Network PRs](https://github.com/issues?utf8=%E2%9C%93&q=team%3Akubernetes%2Fsig-network+is%3Aopen+is%3Apr+)
* [SIG Network Issues](https://github.com/issues?utf8=%E2%9C%93&q=team%3A%22kubernetes%2Fsig-network%22+is%3Aopen+is%3Aissue)

## Documents

* [2017 Planning](https://docs.google.com/document/d/1fBxC36UCBnqY_w3m3TjdnXFsIT--GS6HmKb5o0nhkTk/edit#)
<!-- END CUSTOM CONTENT -->
