<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
-->
# Scalability SIG

Responsible for answering scalability related questions such as:
What size clusters do we think that we should support with Kubernetes in the short to medium term? How performant do we think that the control system should be at scale? What resource overhead should the Kubernetes control system reasonably consume?
For more details about our objectives please review our [Scaling And Performance Goals](https://git.k8s.io/community/sig-scalability/goals.md)

## Meetings
* Regular SIG Meeting: [Thursdays at 16:30 UTC](https://zoom.us/j/989573207) (bi-weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=16:30&tz=UTC).
  * [Meeting notes and Agenda](https://docs.google.com/a/bobsplanet.com/document/d/1hEpf25qifVWztaeZPFmjNiJvPo-5JX1z0LSvvVY5G2g/edit?usp=drive_web).
  * [Meeting recordings](https://www.youtube.com/watch?v=NDP1uYyom28&list=PL69nYSiGNLP2X-hzNTqyELU6jYS3p10uL).

## Leads
* Wojciech Tyczynski (**[@wojtek-t](https://github.com/wojtek-t)**), Google
* Bob Wise (**[@countspongebob](https://github.com/countspongebob)**), Samsung SDS

## Contact
* [Slack](https://kubernetes.slack.com/messages/sig-scalability)
* [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-scale)
* [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fscalability)

## Subprojects

The following subprojects are owned by sig-scalability:
- **kubemark**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/kubemark/master/cmd/kubemark/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubemark/master/pkg/kubemark/OWNERS
- **perf-tests**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/perf-tests/master/OWNERS

## GitHub Teams

The below teams can be mentioned on issues and PRs in order to get attention from the right people.
Note that the links to display team membership will only work if you are a member of the org.

The google groups contain the archive of Github team notifications.
Mentioning a team on Github will CC its group.
Monitor these for Github activity if you are not a member of the team.

| Team Name | Details | Google Groups | Description |
| --------- |:-------:|:-------------:|  ----------- |
| @kubernetes/sig-scalability-api-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-api-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-scalability-api-reviews) | API Changes and Reviews |
| @kubernetes/sig-scalability-bugs | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-bugs) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-scalability-bugs) | Bug Triage and Troubleshooting |
| @kubernetes/sig-scalability-feature-requests | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-feature-requests) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-scalability-feature-requests) | Feature Requests |
| @kubernetes/sig-scalability-misc | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-misc) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-scalability-misc) | General Discussion |
| @kubernetes/sig-scalability-pr-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-pr-reviews) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-scalability-pr-reviews) | PR Reviews |
| @kubernetes/sig-scalability-proprosals | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-proprosals) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-scalability-proprosals) | Design Proposals |
| @kubernetes/sig-scalability-test-failures | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-test-failures) | [link](https://groups.google.com/forum/#!forum/kubernetes-sig-scalability-test-failures) | Test Failures and Triage |

<!-- BEGIN CUSTOM CONTENT -->
## Upcoming 2018 Meeting Dates
   * 1/18
   * 2/1
   * 2/15
   * 3/1
   * 3/15
   * 3/29
   * 4/12
   * 4/26
   * 5/10
   * 5/24
   * 6/7
   * 6/21

## Scalability SLOs

We officially support two different SLOs:

1. "API-responsiveness":
   99% of all API calls return in less than 1s

1. "Pod startup time:
   99% of pods (with pre-pulled images) start within 5s

This should be valid on appropriate hardware up to a 5000 node cluster with 30 pods/node.  We eventually want to expand that to 100 pods/node.

For more details how do we measure those, you can look at: http://blog.kubernetes.io/2015_09_01_archive.html

We are working on refining existing SLOs and defining more for other areas of the system.
<!-- END CUSTOM CONTENT -->
